* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
} /*place these at the start of each new site*/

body {
  background-color: white;
  /*font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;*/
}

.grid-container {
  margin: 0 auto;
  max-width: 960px;
  min-height: 960px;
  background-color: white;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 100px 75px 1fr 1fr 100px;
}

.header {
  grid-column-start: 1;
  grid-column-end: 4;
  margin-top: 10px;
  padding: 10px;
}

h1 {
  font-size: 45px;
  color: rgb(97, 71, 11);
  padding-left: 30px;
}

h2 {
  font-size: 30px;
  color: rgb(183, 67, 8);
  padding-left: 50px;
  font-style: italic;
}
nav {
  grid-column-start: 1;
  grid-column-end: 4;
  background-color: rgba(134, 132, 10, 0.648);
  border-radius: 5px;
  margin-top: 25px;
  margin-right: 5px;
}

nav ul{
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

nav li{
  height: 50px;
}

nav a{
  font-size: 18px;
  height: 100%;
  padding: 0 20px;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: rgb(74, 54, 9);
}

nav a:hover {
  background-color: rgba(134, 132, 10, 0.648);
  color: white;
  border-radius: 5px;
}
nav li:first-child{
  margin-right: auto;
}

.sidebar{
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 250px;
  z-index: 999;
  background-color: rgba(255, 255, 255, 0.449);
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.sidebar li{
  width: 100%;
}

.sidebar a{
  width: 100%;
}
.menu-button{
  display: none;
}

.main {
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 3;
  grid-row-end: 5;
  margin-top: 10px;
  margin-right: 5px;
  padding-right: 10px;
  border-radius: 5px;
}

img {
  width: 90%;
  height: 323;
  object-fit: cover;
  margin-bottom: 20px;
  border-radius: 5px;
}

.main p {
  font-size: 20px;
  color: rgb(97, 71, 11);
  line-height: 1.5;
  margin-left: 2.5%;
  margin-right: 10%;
}

.aside1 {
  grid-column-start: 3;
  grid-column-end: 4;
  /*margin-top: 10px;*/
  margin-bottom: 5px;
  padding: 5%;
  
  border-radius: 5px;
}

.aside1 p {
  font-size: 20px;
  color: rgb(97, 71, 11);
}

.aside1 h3 {
  font-size: 20px;
  color: rgb(97, 71, 11);
  line-height: 1.5;
  text-decoration: underline;
  font-weight: bold;
  padding-bottom: 10px;
}

.aside2 {
  grid-column-start: 3;
  grid-column-end: 4;
  grid-row-start: 4;
  grid-row-end: 5;
  padding-right: 12px;
  padding-left: 12px;
  /*padding-bottom: 12px;*/
  border-radius: 5px;
}

.aside2 h3 {
  font-size: 20px;
  color: rgb(97, 71, 11);
  text-decoration: underline;
  font-weight: bold;
  padding-bottom: 10px;
}
.aside2 p {
  font-size: 20px;
  color: rgb(97, 71, 11);
}
.music {
  width: 100%;
  border-radius: 5px;
  height: 30px;
}

.footer {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 5;
  grid-row-end: 6;
  margin-top: 14px;
  margin-right: 5px;
  margin-bottom: 10px;
  background-color: rgba(134, 132, 10, 0.648);
  padding-left: 2.5%;
  padding-top: 2%;
  border-radius: 5px;
}

.footer ul {
  display: flex;
}
.footer a {
  align-items: center;
  padding-right: 20px;
  padding-top: 12px;
}





/*media query for first transition*/
@media(max-width: 800px){
  /*display of X and burger*/
  .hideOnMobile{
    display: none;
  }
  .menu-button{
    display: block;
  }
  /*Setting up grid*/
  .grid-container {
    background-color: white;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 100px 75px 1fr 1fr 1fr 80px;
  }
  /*setting up grid elements*/
  .main {
    grid-column-start: 1;
    grid-column-end: 3;
  }

  img {
    width: 100%;
    height: 323;
    object-fit: cover;
    border-radius: 5px;
  }

  .aside1 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 5;
    grid-row-end: 6;
    min-height: 300px;
    margin-top: 5px;
  }
  .aside2 {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 5;
    grid-row-end: 6;
    margin-top: 26px;
    margin-left: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
  }

.footer {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 6;
  grid-row-end: 7;
  margin-right: 5px;
 }
}




@media(max-width: 600px){
  .sidebar{
    width: 100%;
  }

  .header {
    margin-top: 25px;
  }
  h1 {
    font-size: 30px;
    color: rgb(97, 71, 11);
    padding-left: 8px;
  }
  h2 {
    font-size: 21px;
    color: rgb(183, 67, 8);
    padding-left: 30px;
    font-style: italic;
  }
  
  .nav {
    margin-top: 5px;
  }
  .grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 100px 75px 1fr 1fr .5fr .5fr 80px;
  }
  .aside1 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 5;
    grid-row-end: 6;
    max-height: 200px;
    /*min-height: 300px;*/
    margin-top: 5px;
  }
  .aside2 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 6;
    grid-row-end: 7;
    margin-top: 5px;
    margin-left: 5px;
  }
  .footer {
    /*grid-column-start: 1;
    grid-column-end: 4;*/
    grid-row-start: 7;
    grid-row-end: 8;
   }


}
/*
@media(max-width: 320px){
  h1 {
    font-size: 26px;
    color: rgb(97, 71, 11);
    padding-left: 5px;
  }
  h2 {
    font-size: 18px;
    color: rgb(183, 67, 8);
    padding-left: 20px;
    font-style: italic;
  }
}*/

